Bug 691115 (python-kombu) - Review Request: python-kombu - AMQP Messaging Framework for Python
Summary: Review Request: python-kombu - AMQP Messaging Framework for Python
Keywords:
Status: CLOSED DUPLICATE of bug 722407
Alias: python-kombu
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Narasimhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-msgpack
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-26 20:19 UTC by Fabian Affolter
Modified: 2011-07-15 09:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-14 16:42:27 UTC


Attachments (Terms of Use)
patch to generate docs and fix evr in changelog (509 bytes, patch)
2011-06-25 17:32 UTC, Narasimhan
no flags Details | Diff

Description Fabian Affolter 2011-03-26 20:19:46 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-kombu.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-kombu-1.0.6-1.fc14.src.rpm

Project URL: http://pypi.python.org/pypi/celery

Description:
AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and
also provide proven and tested solutions to common messaging problems.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2948856

rpmlint output:
[fab@laptop023 SRPMS]$ rpmlint python-kombu-1.0.5-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop023 noarch]$ rpmlint python-kombu-1.0.6-1.fc14.noarch.rpm 
python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.0.6/docs/.static
python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.0.6/docs/.static
python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.0.6/docs/.templates
python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.0.6/docs/.templates
python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.0.6/docs/.static/.keep
python-kombu.noarch: E: zero-length /usr/share/doc/python-kombu-1.0.6/docs/.static/.keep
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

All errors occurs because of the source files for the sphinx documentation.

Comment 1 Narasimhan 2011-05-28 09:50:45 UTC
Hi Fabian,
The source code at this location kombu-1.0.6/kombu/utils/functional.py is taken from python 2.5 code. This needs to be mentioned in the spec file. However I am not sure whether the LICENSE field should be BSD and Python or just mention the above exception in a comment as done here

http://rayvd.fedorapeople.org/python-webpy/python-webpy.spec

I will draft an email to fedora legal and get it clarified.

Also, other .py files in the  kombu-1.0.6/kombu/utils/ directory do not have license text at the beginning of the file. The licensing of these files needs to be clarified with upstream.

Thanks,

Comment 2 Narasimhan 2011-05-28 10:44:32 UTC
I found this page. If the  files are under difference licenses, then it is required to use multiple licenses in the License field and add relevant comments in the spec file.

http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

Thanks

Comment 3 Rahul Sundaram 2011-06-23 13:55:36 UTC
Fab,  I need this as a dependency of something else I am packaging.  Please respond

Comment 4 Fabian Affolter 2011-06-24 21:24:23 UTC
* Sat Mar 26 2011 Fabian Affolter <fabian@bernewireless.net> - 1.1.3.1
- Updated to new upstream version 1.1.3
- Fixed URL
- examples added
- Fixed License

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-kombu.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-kombu-1.1.3-1.fc15.src.rpm

Comment 5 Narasimhan 2011-06-25 07:38:06 UTC
Thanks Fabian, I will complete the review by 26th.

Comment 6 Narasimhan 2011-06-25 17:31:12 UTC
Hi Fabian, there are some rpmlint issues that need fixing.

>>python-kombu.noarch: W: incoherent-version-in-changelog 1.1.3.1 ['1.1.3-1.fc15', '1.1.3-1']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

1)  Needs fixing

python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.1.3/docs/.static/.keep
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

python-kombu.noarch: E: zero-length /usr/share/doc/python-kombu-1.1.3/docs/.static/.keep
python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.1.3/docs/.static
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

python-kombu.noarch: W: hidden-file-or-dir /usr/share/doc/python-kombu-1.1.3/docs/.static
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

2) I noticed that the docs folder has files which cannot be viewed in a browser. It also has a makefile. It turns out that the makefile can be used to generate html files. I have attached a modified spec file that does that. Although we don't have all the dependent modules in the repo to generate the docs, the makefile seems to be ok with that. I checked the generated docs and it seems to be usable.

3) For generating the docs, python-couchdb is needed (and could be used at runtime as well). However the tests fail if python-couchdb is installed. It seems that a required class definition is not available for python v > 2.7. This would definitely cause an issue at runtime. Could you contact upstream and ask for a fix.

Attaching the modified spec.

Comment 7 Narasimhan 2011-06-25 17:32:16 UTC
Created attachment 509911 [details]
patch to generate docs and fix evr in changelog

Comment 8 Matthias Runge 2011-06-26 20:01:47 UTC
I approved python-msgpack a few minutes ago.

Comment 9 Rahul Sundaram 2011-07-09 08:44:08 UTC
Any update?

Comment 10 Fabian Affolter 2011-07-14 16:42:27 UTC
No, at the moment I have no time to work on this package.

Comment 11 Rahul Sundaram 2011-07-15 09:04:14 UTC

*** This bug has been marked as a duplicate of bug 722407 ***


Note You need to log in before you can comment on or make changes to this bug.